Chuyển đến nội dung chính
GET
https://api-oms.verolabs.co
/
api
/
v1
/
util
/
latency
/
stages
Latency detail records and segments
curl --request GET \
  --url https://api-oms.verolabs.co/api/v1/util/latency/stages \
  --header 'Authorization: Bearer <token>'
{
  "request_id": "<string>",
  "from_time": 123,
  "to_time": 123,
  "message_type": "<string>",
  "limit": 123,
  "offset": 123,
  "count": 123,
  "events": [
    {
      "request_id": "<string>",
      "message_type": "<string>",
      "stage": "<string>",
      "stage_time": 123,
      "service": "<string>",
      "source_service": "<string>",
      "source_sequence": 123,
      "client_id": "<string>",
      "hft_gateway": "<string>",
      "stream_id": 123,
      "status": "<string>"
    }
  ],
  "segments": [
    {
      "from_stage": "<string>",
      "to_stage": "<string>",
      "from_time": 123,
      "to_time": 123,
      "latency_ns": 123
    }
  ]
}

Ủy quyền

Authorization
string
header
bắt buộc

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Tham số truy vấn

request_id
string

Request identifier.

from_ns
integer<int64>

Start of the time window as epoch nanoseconds.

to_ns
integer<int64>

End of the time window as epoch nanoseconds.

message_type
string

Optional message type filter.

limit
integer

Page size. Defaults to 200; capped by the per-API max limit.

Phạm vi bắt buộc: x >= 1
offset
integer

Zero-based number of records to skip.

Phạm vi bắt buộc: x >= 0

Phản hồi

Latency detail result

Latency detail response.

request_id
string

Request identifier.

from_time
integer<int64>

Start of the response time window in epoch nanoseconds.

to_time
integer<int64>

End of the response time window in epoch nanoseconds.

message_type
string

Message type filter or message type reported by the record.

limit
integer

Maximum number of records returned.

offset
integer

Zero-based number of records skipped before returning results.

count
integer

Number of records in the response page or aggregation.

events
object[]

Latency detail records returned for the current page.

segments
object[]

Latency segments returned for the current page.